API ReferenceToolkits

Delete a custom toolkitv3.1

DELETE
/api/v3.1/custom/toolkits/{slug}

Experimental: custom toolkits are in pilot and this contract may change. Deletes a custom toolkit owned by the project. Hard-deletes the toolkit and its tools from the registry, soft-deletes and revokes the toolkit auth configs and connected accounts. Composio-managed toolkits cannot be deleted and return 403.

Authorization

x-api-key<token>

Project API key authentication

In: header

Path Parameters

slugstringRequired

Custom toolkit slug to delete

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v3.1/custom/toolkits/CUSTOM_MY_TOOLKIT"
{  "slug": "CUSTOM_MY_TOOLKIT",  "deleted": true,  "revoke_job_ids": [    "string"  ],  "auth_configs_soft_deleted": 0,  "connected_accounts_soft_deleted": 0}